Name:           jboss-modules
Version:        1.5.2
Release:        %mkrel 5
Group:          Development/Java
Summary:        Modular Classloading System
# XPP3 License: src/main/java/org/jboss/modules/xml/MXParser.java
#  src/main/java/org/jboss/modules/xml/XmlPullParser.java
#  src/main/java/org/jboss/modules/xml/XmlPullParserException.java
License:        ASL 2.0 and xpp

%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

URL:            https://github.com/jbossas/jboss-modules
Source0:        %{url}/archive/%{namedversion}/%{name}-%{namedversion}.tar.gz

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.jboss.shrinkwrap:shrinkwrap-impl-base)
BuildRequires:  mvn(org.jboss:jboss-parent:pom:)

%description
Ths package contains A Modular Classloading System.


%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{name}-%{namedversion}

# do not build custom Javadocs with apiviz doclet
%pom_remove_plugin :maven-javadoc-plugin

# remove unnecessary maven plugins
%pom_remove_plugin :maven-checkstyle-plugin
%pom_remove_plugin :maven-source-plugin

# Tries to connect to remote host
rm src/test/java/org/jboss/modules/MavenResourceTest.java \
 src/test/java/org/jboss/modules/maven/MavenSettingsTest.java

# remove test that's not ready for Java 9 Modules
rm src/test/java/org/jboss/modules/JAXPModuleTest.java

%build
%mvn_build


%install
%mvn_install


%files -f .mfiles
%doc README.md
%license LICENSE.txt XPP3-LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt XPP3-LICENSE.txt




%changelog
* Sat Mar 26 2022 umeabot <umeabot> 1.5.2-5.mga9
+ Revision: 1827585
- Mageia 9 Mass Rebuild

* Mon Sep 07 2020 daviddavid <daviddavid> 1.5.2-4.mga8
+ Revision: 1623294
- Fix FTBFS issue on fedora 33+ (drop one test that's not ready for Java 11)
- Drop custom apiviz doclet unconditionally (it's incompatible with Java 11)

* Tue Feb 11 2020 umeabot <umeabot> 1.5.2-3.mga8
+ Revision: 1490928
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.5.2-2.mga7
+ Revision: 1262695
- Mageia 7 Mass Rebuild

* Sat May 13 2017 neoclust <neoclust> 1.5.2-1.mga6
+ Revision: 1100933
- New version 1.5.2

* Wed Mar 02 2016 neoclust <neoclust> 1.3.3-4.mga6
+ Revision: 981793
- Second rebuild of the java stack
+ daviddavid <daviddavid>
- fix FTBFS rhbz#1307649
- fix BR list and use BR mvn()-like
- fix some rpmlint problem

* Sat Feb 27 2016 neoclust <neoclust> 1.3.3-3.mga6
+ Revision: 979928
- First rebuild of the java stack
- sync package jboss-modules with fedora
- imported package jboss-modules

* Wed Oct 15 2014 umeabot <umeabot> 1.3.0-0.1.Beta3.4.mga5
+ Revision: 741272
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 1.3.0-0.1.Beta3.2.mga4
+ Revision: 541872
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 dmorgan <dmorgan> 1.3.0-0.1.Beta3.1.mga4
+ Revision: 496482
- New version

* Sat Jan 12 2013 umeabot <umeabot> 1.1.1-2.mga3
+ Revision: 355082
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 19 2012 gil <gil> 1.1.1-1.mga3
+ Revision: 210953
- update to 1.1.1.GA
- imported package jboss-modules
+ dmorgan <dmorgan>
- Fix buildrequires
- Clean spec file

